From 30d2419e9b184411fbf88e84fef3370f0f9c4103 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 06:50:14 +0000
Subject: [PATCH 756/2232] Get gen dir tests passing


---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index c59382e..5a573f0 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -17,5 +17,8 @@ proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-
 quote = { version = "1.0", default-features = false }
 syn = { version = "1.0.20", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
 
+[dev-dependencies]
+cxx-gen = { version = "=0.0.0", path = "../lib" }
+
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/gen/lib/tests/test.rs b/gen/lib/tests/test.rs
index 5c53628..e69c6fb 100644
--- a/gen/lib/tests/test.rs
+++ b/gen/lib/tests/test.rs
@@ -15,7 +15,7 @@ fn test_positive() {
         }
     };
     let opt = Opt::default();
-    let code = cxx_gen::generate_header_and_cc(rs, opt).unwrap();
+    let code = cxx_gen::generate_header_and_cc(rs, &opt).unwrap();
     assert!(code.cxx.len() > 0);
     assert!(code.header.len() > 0);
 }
@@ -24,5 +24,5 @@ fn test_positive() {
 fn test_negative() {
     let rs = quote! {};
     let opt = Opt::default();
-    assert!(cxx_gen::generate_header_and_cc(rs, opt).is_err())
+    assert!(cxx_gen::generate_header_and_cc(rs, &opt).is_err())
 }
diff --git a/gen/src/tests.rs b/gen/src/tests.rs
index 7621643..7ef731c 100644
--- a/gen/src/tests.rs
+++ b/gen/src/tests.rs
@@ -1,13 +1,13 @@
 use crate::gen::{generate_from_string, Opt};
 
-const CPP_EXAMPLE: &'static str = r#"
+const CPP_EXAMPLE: &str = r#"
     #[cxx::bridge]
     mod ffi {
         extern "C" {
             pub fn do_cpp_thing(foo: &str);
         }
     }
-    "#;
+"#;
 
 #[test]
 fn test_cpp() {
@@ -15,7 +15,7 @@ fn test_cpp() {
         include: Vec::new(),
         cxx_impl_annotations: None,
     };
-    let output = generate_from_string(CPP_EXAMPLE, opts, false).unwrap();
+    let output = generate_from_string(CPP_EXAMPLE, &opts, false).unwrap();
     let output = std::str::from_utf8(&output).unwrap();
     // To avoid continual breakage we won't test every byte.
     // Let's look for the major features.
@@ -28,7 +28,7 @@ fn test_annotation() {
         include: Vec::new(),
         cxx_impl_annotations: Some("ANNOTATION".to_string()),
     };
-    let output = generate_from_string(CPP_EXAMPLE, opts, false).unwrap();
+    let output = generate_from_string(CPP_EXAMPLE, &opts, false).unwrap();
     let output = std::str::from_utf8(&output).unwrap();
     assert!(output.contains("ANNOTATION void cxxbridge03$do_cpp_thing(::rust::Str::Repr foo)"));
 }

